<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!-- This collection of hypertext pages is Copyright 1995-7 by Steve Summit. -->
<!-- This material may be freely redistributed and used -->
<!-- but may not be republished or sold without permission. -->
<html>
<head>
<link rev="owner" href="mailto:scs@eskimo.com">
<link rev="made" href="mailto:scs@eskimo.com">
<title>Chapter 6: Basic I/O</title>
<link href="sx5d.html" rev=precedes>
<link href="sx6a.html" rel=precedes>
<link href="top.html" rev=subdocument>
</head>
<body>
<H1>Chapter 6: Basic I/O</H1>

<p>So far, we've been using <TT>printf</TT> to do output,
and we haven't had a way of doing any input.
In this chapter, we'll learn a bit more about <TT>printf</TT>,
and we'll begin learning about
character-based
input and output.
</p><p><a href="sx6a.html" rel=subdocument>6.1 <TT>printf</TT></a></p>
<p><a href="sx6b.html" rel=subdocument>6.2 Character Input and Output</a></p>
<p><a href="sx6c.html" rel=subdocument>6.3 Reading Lines</a></p>
<p><a href="sx6d.html" rel=subdocument>6.4 Reading Numbers</a></p>
<hr>
<p>
Read sequentially:
<a href="sx5d.html" rev=precedes>prev</a>
<a href="sx6a.html" rel=precedes>next</a>
<a href="top.html" rev=subdocument>up</a>
<a href="top.html">top</a>
</p>
<p>
This page by <a href="http://www.eskimo.com/~scs/">Steve Summit</a>
// <a href="copyright.html">Copyright</a> 1995-1997
// <a href="mailto:scs@eskimo.com">mail feedback</a>
</p>
</body>
</html>
